
Date.prototype.Format = function(fmt)
{ //author: meizz
  var o = {
    "M+" : this.getMonth()+1,                 //月份
    "d+" : this.getDate(),                    //日
    "HH+" : this.getHours(),                   //小时
    "m+" : this.getMinutes(),                 //分
    "s+" : this.getSeconds(),                 //秒
    "q+" : Math.floor((this.getMonth()+3)/3), //季度
    "S"  : this.getMilliseconds()             //毫秒
  };
  if(/(y+)/.test(fmt))
    fmt=fmt.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length));
  for(var k in o)
    if(new RegExp("("+ k +")").test(fmt))
  fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));
  return fmt;
}


function initialize() {

    document.getElementById("title").innerHTML = window.title.getStr();
    document.getElementById("author").innerHTML = window.source.getStr();
    document.getElementById("publishTime").innerHTML = window.publishDate.getStr();
    document.getElementById("content").innerHTML = window.content.getStr();
    document.getElementById("readtip").innerHTML = window.readtip.getStr();
    document.getElementById("description").innerHTML = window.description.getStr();

    if(window.caijinghao.getStr()=="display"){

            document.getElementById("caijinghao").style.display = "flex";
            document.getElementById("caijinghao_title").innerHTML = window.caijinghao_title.getStr();
            document.getElementById("caijinghao_desc").innerHTML = window.caijinghao_desc.getStr();
            document.getElementById("caijinghao_attention").innerHTML = window.caijinghao_attention.getStr();
            document.getElementById("caijinghao_img").src = window.caijinghao_img.getStr();
    }else{

        document.getElementById("caijinghao").style.display = "none";
    }

    var myAs = document.getElementsByTagName('a');
    console.log('调试区');
    if(myAs){
        for (var i = 0; i < myAs.length; i++) {
            var itemA = myAs[i];
           itemA.style.color="#1F70DD";
        }
    }


    var myVideo = document.getElementsByTagName('video')[0];
    if(myVideo){
       myVideo.controlsList = "nodownload";
    }

    var dec = window.description.getStr();
    if (dec != "" && dec != "null") {
        document.getElementById("description").style.display = "flex";
    }else{
        document.getElementById("description").style.display = "none";
    }

    if(window.showvoice.getInt()){
        document.getElementById("voice_icon").style.display = "none";
    }

}

//语音阅读
function startVoice(){
    window.js_callback.startVoice();
}
//点击关注
function followClick(){
    window.js_callback.followClick();
}
//点击头像
function caijingClick(){
    window.js_callback.caijingClick();
}
/*显示大图**/
function showBigImage() {
    var images = document.getElementById("content").getElementsByTagName("img");
    var imageMap = {};
    if (window.pictures) {
        pictures_json = eval(window.pictures.getStr());

        for (var i = 0; i < pictures_json.length; i++) {
            imageMap[pictures_json[i].pictureId] = pictures_json[i];
        }
    }
    if (images) {

        for (var i = 0; i < images.length; i++) {
            var image = images[i];
            if (image.parentNode.nodeName == "A") {
                continue;
            }
  			if (window.medias&&i==0)
            {
              continue;
            }
            var picId = image.id;

            if (picId && imageMap[picId]) {
                var picture = imageMap[picId];
                var url = picture.linkurl;
                if (url != "null" && url != "") {
                    if (url.trim().indexOf("http://") == -1) {
                        url = "http://" + url;
                    }
                    addImagelink(picId, url);
                } else {
                    image.onclick = function() {
                        window.js_callback.onImageClick(imageMap[this.id].fileHD);
                    };
                }

            } else {
                image.onclick = function() {
                    window.js_callback.onImageClick(this.src);
                };
            }
        }
    }
}

/*原生播放器**/
function showRealVideo() {
    var videos = document.getElementsByTagName("video")[0];
    if(videos) {
        var width = videos.clientWidth;
        var height = videos.clientHeight;
        var top = videos.offsetTop;
        var left = videos.offsetLeft;
//        videos.style.display = "none"
        window.js_callback.showRealVideo(width, height, top, left, videos.currentSrc, videos.poster);
    }else{
        window.js_callback.showRealVideo(0, 0, 0, 0, "", "");
    }
}

function resize(){
    window.js_callback.resize(document.body.getBoundingClientRect().height);
}

function setFontSize(fontsize) {
var content = document.getElementById("content");
removeClass(content,"fontSize0");
removeClass(content,"fontSize1");
removeClass(content,"fontSize2");
removeClass(content,"fontSize3");
if(fontsize == 0){
addClass(content,"fontSize0");
}else if(fontsize == 2){
addClass(content,"fontSize2");
}else if(fontsize == 3){
addClass(content,"fontSize3");
}else{
 addClass(content,"fontSize1");
}
}

function setContentBg(contentBg) {
var body = document.getElementById("bodyId")
//var caijing = document.getElementById("caijinghao")
var imgVoice = document.getElementById("voice_icon")
removeClass(body,"night");
if(contentBg == 2){
addClass(body,"night");
//addClass(caijing,"night");
imgVoice.src = "file:///android_asset/newsdetail/picture/voice_icon_night.png";
}else{
imgVoice.src = "file:///android_asset/newsdetail/picture/voice_icon_3.png";
}
}

function insertNewP(index,url) {
    var contentDiv = document.getElementsByClassName("content");
    var pNode = document.createElement("p");
    pNode.setAttribute("id","android_insert_p"+index);
    pNode.style = "text-align: center";
    var newNode = document.createElement("img");
    newNode.setAttribute("id","android_insert_img");
    var reforeNode = document.getElementsByTagName("p")[index];

    newNode.src = url;
    newNode.style.width = "100%";
    newNode.style.height = "100%";

    pNode.appendChild(newNode);

	 var spanElement = document.createElement("span");
     spanElement.setAttribute("class", "playicon");
     var parent = newNode.parentNode;
     parent.style.position = "relative";

     var pBottomNode = document.createElement("span");
     pBottomNode.setAttribute("id","android_ad_bottom");
     pBottomNode.innerHTML = "广告"

     insertAfter(spanElement, newNode, parent);
     insertAfter(pBottomNode, newNode, parent);

     contentDiv[0].insertBefore(pNode,reforeNode);

    	newNode.onclick = function() {
        window.js_callback.insertVideoReady(newNode.width,newNode.height,pNode.offsetTop,pNode.offsetLeft,url);
        }
        newNode.onload = function() {
            window.js_callback.insertPicScroll(newNode.width,newNode.height,pNode.offsetTop,pNode.offsetLeft,url);
        }
    	spanElement.onclick = function() {
        window.js_callback.insertVideoReady(newNode.width,newNode.height,pNode.offsetTop,pNode.offsetLeft,url);
    }
}

function insertAfter(newElement, targetElement, parent) {

    if (parent.lastChild == targetElement) { //如果目标元素是最后一个元素
        parent.appendChild(newElement); //将元素插入到父元素下的最后一个元素
    } else {
        parent.insertBefore(newElement, targetElement.nextsibling); //讲元素插入到目标元素的下一个兄弟元素的前面
    }
}

function getNewNode(index){
 	 var pNode = document.getElementById("android_insert_p"+index);
 	 var newNode = document.getElementById("android_insert_img");
     window.js_callback.sendVideoParams(newNode.width,newNode.height,pNode.offsetTop,pNode.offsetLeft);
}
function addVideoView(index,url){
 	 var pNode = document.getElementById("android_insert_p"+index);
 	 var newNode = document.getElementById("android_insert_img");
     window.js_callback.insertVideoReady(newNode.width,newNode.height,pNode.offsetTop,pNode.offsetLeft,url);
}

function hasClass( elements,cName ){
  return !!elements.className.match( new RegExp( "(\\s|^)" + cName + "(\\s|$)") );
};

function addClass( elements,cName ){
  if( !hasClass( elements,cName ) ){
    elements.className += " " + cName;
  };
};

function removeClass( elements,cName ){
  if( hasClass( elements,cName ) ){
    elements.className = elements.className.replace( new RegExp( "(\\s|^)" + cName + "(\\s|$)" ), " " );
  };
};


function setCaijingImage(picture) {
            var imgElement = document.getElementById("caijinghao_img");
            imgElement.src = picture;
        }
function setFollowText(text) {
            var imgElement = document.getElementById("caijinghao_attention");
            imgElement.innerHTML = text;
        }
function hideCaijing() {
     var caijing = document.getElementById("caijinghao");
     caijing.style.display = "none";
     caijing.parent.removeChild(caijing);
}

window.onload = function() {
    initialize();
    var videos = document.getElementsByTagName("video")[0];
    if(videos){
        videos.addEventListener('play',function(){
        			window.js_callback.showVideoStatus();
        		});
    }
}




